> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/43.-poizvedba-pridobi-fields.md).

# 43. Poizvedba pridobi "Fields"

Poizvedba za pridobitev uporabniških "Parcel" z filtri po `oznake`, `farmUuid`, `fieldUuid`, `imeParcele`. Parcel vrne v abecednem vrstnem redu po imenu parcele.&#x20;

Filter za parcelo deluje kot pogoj AND, npr. mogoče filtrirati po `farmUuid` in po `fieldUuid` in po `oznake` in po `imeParcele` v eni poizvedbi ali uporabiti samo en pogoj filtra ali ne uporabiti nobenega pogoja.&#x20;

Filtriraj po `imeParcele` deluje kot `se začne_z`.&#x20;

Za izvedbo logike straničenja uporabite parameter poizvedbe `velikostStrani`. V odgovoru so `zadnjiOcenjeniKljuč` in `skupnoŠtevilo` , kjer `zadnjiOcenjeniKljuč` se nanaša na zadnji obdelani zapis, ki ustreza pogojem filtra in `skupnoŠtevilo` je skupno število zapisov, ki ustrezajo pogojem filtriranja.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
poizvedba FilterFields {
  getFields(
    filter: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      oznake: [{ name: "ime1", value: "vrednost1" }]
      velikostStrani: 2
      zadnjiOcenjeniKljuč: {
        SortKey: "<nek_ključ>"
        PartitionKey: "<nek_ključ>"
        TagString: "<nek_ključ>"
      }
      imeParcele: "Vzorec"
    }
  ) {
    polja {
      uuid
      površina(enota: HEKTARJI)
      ime
      oznake {
        ime
        vrednost
      }
      skupnoŠtevilo
    }
    zadnjiOcenjeniKljuč {
      SortKey
      PartitionKey
      TagString
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/43.-poizvedba-pridobi-fields.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
